Bug 150761 - Missing BuildRequire
Missing BuildRequire
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: perl-Date-Calc (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
Depends On:
  Show dependency treegraph
Reported: 2005-03-10 06:00 EST by Andreas Thienemann
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-11-03 11:21:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andreas Thienemann 2005-03-10 06:00:24 EST
The specfile for perl-Date-Calc-5.3-9 has a missing BuildRequire for
perl-Bit-Vector >= 5.7

Without this Package, the build Process gives the following error:
+ perl Makefile.PL PREFIX=/var/tmp/perl-Date-Calc-root/usr INSTALLDIRS=vendor
Warning: prerequisite Bit::Vector 5.7 not found.
Checking if your kit is complete...
Looks good
Writing Makefile for Date::Calc

During the make test phase, the build fails subsequently:

t/m005....FAILED test 5
        Failed 1/30 tests, 96.67% okay
Comment 1 Florian La Roche 2005-11-03 11:21:09 EST
This is fixed in the current development tree for our next release. We
probably won't release a new package for an update release for this item.

Thanks a lot for the patch,

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.